Package org.eclipse.equinox.p2.metadata.expression

## Interface IExpressionParser

    public interface IExpressionParser

A parser that produces an expression tree based on a string representation. An implementation will use the `IExpressionFactory` to create the actual expressions

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IExpression` `parse​(String exprString)` Create a new expression.
`IExpression` `parseQuery​(String exprString)` Create an arbitrary expression.

### Method Detail

#### parse

    IExpression parse​(String exprString)

Create a new expression. The expression will have access to the global variable 'this' and to the context parameters.

Parameters:
  `exprString` - The string representing the boolean expression.
Returns:
  The resulting expression tree.
Throws:
  `ExpressionParseException` - If an error occurred during parsing.

#### parseQuery

    IExpression parseQuery​(String exprString)

Create an arbitrary expression. The expression will have access to the global variable 'everything' and to the context parameters.

Parameters:
  `exprString` - The string representing the boolean expression.
Returns:
  The resulting expression tree.
Throws:
  `ExpressionParseException` - If an error occurred during parsing.